Автор Тема: Viber не запускается  (Прочитано 4539 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн dolb

  • Активный пользователь
  • **
  • Сообщений: 81
Viber не запускается
« : 23 Апреля 2019, 10:15:11 »
Debian jessie 8.10
Среда LXDE
Видер установился без проблем, но при попытке запустить
Пишет:
root@d:/home/l# /opt/viber/Viber
/opt/viber/Viber: /lib/x86_64-linux-gnu/libdbus-1.so.3: no version information available (required by /opt/viber/lib/libQt5DBus.so.5)
/opt/viber/Viber: /lib/x86_64-linux-gnu/libdbus-1.so.3: no version information available (required by /opt/viber/lib/libQt5WebEngineCore.so.5)
qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "" even though it was found.
This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, vnc, wayland-egl, wayland, wayland-xcomposite-egl, wayland-xcomposite-glx, webgl, xcb.

Аварийный останов

Какую библиотеку установить?
Раньше я ставил джесси 8 со стандартными утилитами, вибер запускался. Сейчас установил вроде бы все те же но не запускается.
Помогите, люди
 

Оффлайн Modigar

Re: Viber не запускается
« Ответ #1 : 23 Апреля 2019, 12:40:07 »
libqt5 и ее зависимости установлена?
 

Оффлайн dolb

  • Активный пользователь
  • **
  • Сообщений: 81
Re: Viber не запускается
« Ответ #2 : 23 Апреля 2019, 13:22:21 »
Все пакеты доустановил, пытался переустановить вибер бесполезно

/opt/viber/Viber: /lib/x86_64-linux-gnu/libdbus-1.so.3: no version information available (required by /opt/viber/lib/libQt5DBus.so.5)
/opt/viber/Viber: /lib/x86_64-linux-gnu/libdbus-1.so.3: no version information available (required by /opt/viber/lib/libQt5WebEngineCore.so.5)
QStandardPaths: wrong ownership on runtime directory /run/user/1000, 1000 instead of 0
touch: невозможно выполнить touch для «/root/.local/share/applications/mimeapps.list»: Нет такого файла или каталога
/usr/bin/xdg-mime: 803: /usr/bin/xdg-mime: cannot create /root/.local/share/applications/mimeapps.list.new: Directory nonexistent
[0423/173020.820672:WARNING:stack_trace_posix.cc(699)] Failed to open file: /tmp/.glriNtRC (deleted)
  Error: Нет такого файла или каталога
[1807:1807:0423/173020.822002:ERROR:zygote_host_impl_linux.cc(90)] Running as root without --no-sandbox is not supported. See https://crbug.com/638180.
root@d:/home/l#
« Последнее редактирование: 23 Апреля 2019, 13:35:25 от dolb »
 

Оффлайн dolb

  • Активный пользователь
  • **
  • Сообщений: 81
Re: Viber не запускается
« Ответ #3 : 23 Апреля 2019, 13:34:33 »
И еще с недавнего времени пропали репозитории  jessie-backports main contrib non-free  b  jessie main contrib non-free
Нигде их нет. При попытке обновить пакеты- ошибка

Видимо из-за них это все
 

Оффлайн ecc83

Re: Viber не запускается
« Ответ #4 : 23 Апреля 2019, 13:41:58 »
dolb, а почему вы от имени root запускаете viber ?
 

symon2014

  • Гость
Re: Viber не запускается
« Ответ #5 : 23 Апреля 2019, 13:43:57 »
Нечего сидеть под рутом  -  в /root нет .local ,  она в /home/user .
А  Jessie перебралась в arhive.debian.org
 

Оффлайн dolb

  • Активный пользователь
  • **
  • Сообщений: 81
Re: Viber не запускается
« Ответ #6 : 23 Апреля 2019, 14:03:42 »
Есть кто поможет?
Запускаю я от рута и ниже от обычного пользователя.
l@d:~$ /opt/viber/Viber
/opt/viber/Viber: /lib/x86_64-linux-gnu/libdbus-1.so.3: no version information available (required by /opt/viber/lib/libQt5DBus.so.5)
/opt/viber/Viber: /lib/x86_64-linux-gnu/libdbus-1.so.3: no version information available (required by /opt/viber/lib/libQt5WebEngineCore.so.5)
[0423/180413.151952:WARNING:stack_trace_posix.cc(699)] Failed to open file: /tmp/.gljupzmQ (deleted)
  Error: Нет такого файла или каталога
/opt/viber/libexec/QtWebEngineProcess: /lib/x86_64-linux-gnu/libdbus-1.so.3: no version information available (required by /opt/viber/libexec/../lib/libQt5WebEngineCore.so.5)
qt.network.ssl: QSslSocket: cannot resolve SSL_CONF_CTX_new
qt.network.ssl: QSslSocket: cannot resolve SSL_CONF_CTX_free
qt.network.ssl: QSslSocket: cannot resolve SSL_CONF_CTX_set_ssl_ctx
qt.network.ssl: QSslSocket: cannot resolve SSL_CONF_CTX_set_flags
qt.network.ssl: QSslSocket: cannot resolve SSL_CONF_CTX_finish
qt.network.ssl: QSslSocket: cannot resolve SSL_CONF_cmd
qt.network.ssl: QSslSocket: cannot resolve SSL_set_alpn_protos
qt.network.ssl: QSslSocket: cannot resolve SSL_CTX_set_alpn_select_cb
qt.network.ssl: QSslSocket: cannot resolve SSL_get0_alpn_selected
/opt/viber/Viber: symbol lookup error: /opt/viber/plugins/platforms/../../lib/libQt5XcbQpa.so.5: undefined symbol: FT_Get_Font_Format
l@d:~$
Результат один- не запускается
 

symon2014

  • Гость
Re: Viber не запускается
« Ответ #7 : 23 Апреля 2019, 14:41:39 »
Боюсь ошибиться , виберу кажется не нравится LXDE ,  он требует хотя бы
LXQT (gtk - Qt).
 

Оффлайн ecc83

Re: Viber не запускается
« Ответ #8 : 23 Апреля 2019, 14:57:54 »
Боюсь ошибиться , виберу кажется не нравится LXDE

Ерунда. У меня на LXDE всё работает.

sudo apt-get install qt5ct
« Последнее редактирование: 23 Апреля 2019, 15:22:55 от ecc83 »
 

Оффлайн dolb

  • Активный пользователь
  • **
  • Сообщений: 81
Re: Viber не запускается
« Ответ #9 : 23 Апреля 2019, 18:15:04 »
Установил пакет из интернета ваш. Не помогло.
И еще - как прописать репозитории архива?
Прописываю
deb http://archive.debian.org/debian-archive/debian/ jessie-backports main contrib non-free
deb-src http://archive.debian.org/debian-archive/debian/   jessie-backports main contrib non-free

пишет
E: Файл Release для http://archive.debian.org/debian-archive/debian/dists/jessie-backports/InRelease просрочен (недостоверный начиная с 62д 18ч 45мин 59с). Обновление этого репозитория производиться не будет.
 

symon2014

  • Гость
Re: Viber не запускается
« Ответ #10 : 23 Апреля 2019, 18:37:59 »
Адрес сам сочинял ? Набери archive.debian.org и ищи там по пунктам , адрес увидишь в строке.
 

Оффлайн ecc83

Re: Viber не запускается
« Ответ #11 : 23 Апреля 2019, 19:21:51 »
dolb, на официальном сайте нет версии для debian, только для Ubuntu.
Вы как себе устанавливали? Какой пакет и какой командой?
Какие были сообщения при установке? Может какие то ошибки выскакивали?

Jessie старый дистрибутив. Наверняка в нём нет нужных пакетов qt5.
Интересно, что viber писал в консоль при установке...
« Последнее редактирование: 23 Апреля 2019, 19:24:52 от ecc83 »
 

Оффлайн Modigar

Re: Viber не запускается
« Ответ #12 : 23 Апреля 2019, 19:27:09 »
Jessie старый дистрибутив. Наверняка в нём нет нужных пакетов qt5.
Нормальный дистрибутив. У меня на 2-м компе прекрасно Вайбер работает под 8-м Дебианом и кедами.
 
Пользователи, которые поблагодарили этот пост: ferum

symon2014

  • Гость
Re: Viber не запускается
« Ответ #13 : 23 Апреля 2019, 19:30:48 »
KDE --> QT  ,  LXDE --> GTK
 

Оффлайн ecc83

Re: Viber не запускается
« Ответ #14 : 23 Апреля 2019, 19:32:24 »
Нормальный дистрибутив.

Я разве сказал, что это плохой дистрибутив?

У меня на 2-м компе прекрасно Вайбер работает под 8-м Дебианом и кедами.

В том то и дело, что "кеды" устанавливают много пакетов QT, взависимости от темы.
У автора LXDE и чего то не хватает. Непонятно, почему при инсталяции не поставились зависимости...
 

Теги:
     

    Viber

    Автор Екатерина

    Ответов: 26
    Просмотров: 7475
    Последний ответ 03 Ноября 2017, 08:06:02
    от mak-4x4
    Отключить автозапуск Viber (РЕШЕНО)

    Автор kylakevu4

    Ответов: 4
    Просмотров: 567
    Последний ответ 05 Декабря 2020, 19:02:29
    от kylakevu4
    Viber Значок

    Автор ForsakeN1993

    Ответов: 3
    Просмотров: 1378
    Последний ответ 30 Марта 2016, 16:39:45
    от nihi1ist
    viber нет подключения к интернету

    Автор moreplavatel

    Ответов: 11
    Просмотров: 3169
    Последний ответ 06 Марта 2018, 15:24:50
    от moreplavatel
    Debian 9 + Viber Запуск....

    Автор SatoshiNakamoto

    Ответов: 3
    Просмотров: 6147
    Последний ответ 21 Июня 2017, 18:52:58
    от ecc83